cipher-camellia-0.0.2: Camellia block cipher primitives

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | Good
Safe Haskell | None
Language | Haskell98

Crypto.Cipher.Camellia

Description

Camellia support. only 128 bit variant available for now.

Synopsis

- data Camellia128

# Documentation

data Camellia128 Source #

Camellia block cipher with 128 bit key

#### Instances

Instances details

Cipher Camellia128 Source # |
Instance details Defined in Crypto.Cipher.Camellia Methods cipherInit :: Key Camellia128 -> Camellia128 Source # cipherName :: Camellia128 -> String Source # cipherKeySize :: Camellia128 -> KeySizeSpecifier Source #
BlockCipher Camellia128 Source # |

Instance details

Defined in Crypto.Cipher.Camellia

Methods

blockSize :: Camellia128 -> Int Source #

ecbEncrypt :: Camellia128 -> ByteString -> ByteString Source #

ecbDecrypt :: Camellia128 -> ByteString -> ByteString Source #

cbcEncrypt :: Camellia128 -> IV Camellia128 -> ByteString -> ByteString Source #

cbcDecrypt :: Camellia128 -> IV Camellia128 -> ByteString -> ByteString Source #

cfbEncrypt :: Camellia128 -> IV Camellia128 -> ByteString -> ByteString Source #

cfbDecrypt :: Camellia128 -> IV Camellia128 -> ByteString -> ByteString Source #

ctrCombine :: Camellia128 -> IV Camellia128 -> ByteString -> ByteString Source #

xtsEncrypt :: (Camellia128, Camellia128) -> IV Camellia128 -> DataUnitOffset -> ByteString -> ByteString Source #

xtsDecrypt :: (Camellia128, Camellia128) -> IV Camellia128 -> DataUnitOffset -> ByteString -> ByteString Source #

aeadInit :: Byteable iv => AEADMode -> Camellia128 -> iv -> Maybe (AEAD Camellia128) Source #